import { Component } from "@angular/core";
import { Location } from "@angular/common";
import { Database } from "../../providers/database/database";

@Component({
    selector: "create",
    templateUrl: "./components/create/create.html",
})
export class CreateComponent {

    public password: any;

    public constructor(private location: Location, private couchbase: Database) {
        this.password = {
            "title": "",
            "secret": ""
        };
    }

    public save() {
        if(this.password.title && this.password.secret) {
            this.couchbase.getDatabase().createDocument(this.password);
            this.location.back();
        }
    }

}