import { Injectable } from "@angular/core";
import { Couchbase } from "nativescript-couchbase";

@Injectable()
export class Database {

    private db: any;

    public constructor() {
        if(!this.db) {
            this.db = new Couchbase("passwords");
            this.db.createView("passwords", "1", (document, emitter) => {
                emitter.emit(document._id, document);
            });
        }
    }

    public getDatabase() {
        return this.db;
    }

}